jQuery(document).ready(function(jQuery) {
    jQuery('.bitcx-close').on('click', function(e){
        e.preventDefault();
        jQuery('.bitcx-popup .bitcx-container').css('display', 'none');
        var bg_clr = jQuery('.bitcx-show-popup').attr('data-bg-color');
        jQuery('.bitcx-show-popup').css('background', bg_clr);
        jQuery('.bitcx-show-popup').css('display', 'block');
    });

    jQuery('.bitcx-show-popup').on('click', function(e){
        e.preventDefault();
        jQuery(this).css('display','none');
        jQuery('.bitcx-popup .bitcx-container').css('display', 'block');
    });

    jQuery(document).on('click', '.bitcx-option', function(e) 
    {
        e.preventDefault();
        if(!jQuery(this).hasClass('active'))
        {
            $this = jQuery(this);
            jQuery('.bitcx-option').removeClass('active');
            $this.addClass('active');
            var data_term = jQuery(this).attr('data-id');
            var frm_term = jQuery('.bitcx-form').attr('data-term');
            jQuery.ajax({
                url: bitcx_object.ajax_url,
                type: 'POST',
                data: {
                    action: 'bitcx_ajax_get_chat_response',
                    term_id: data_term,
                    term_name: jQuery(this).text(),
                    security: bitcx_object.nonce
                },
                beforeSend: function() {
                    jQuery('.bitcx-loader').removeClass('hidden');
                },
                success: function(data) {
                    jQuery('.bitcx-loader').addClass('hidden');
                    if($this.attr('data-type') == 'child')
                    {
                        jQuery('.div-'+frm_term).remove();
                    }else if($this.attr('data-type') == 'parent')
                    {
                        jQuery('.bitcx-posts-options').html('');
                    }
                    jQuery('.bitcx-posts-options').append('<div class="bitcfx-posts-wrap div-'+data_term+'">'+data.posts+'</div>');
                    // appending terms
                    jQuery('.bitcx-posts-options').append(data.terms);

                    // Posts link color
                    refresh_popup_posts_color();
                    refresh_popup_options_color();
                }
            });

            // form data attr - term id
            jQuery('.bitcx-form').attr('data-term', data_term);
        }
    });

    jQuery(document).on('click', 'a.bitcx-loadmore-posts', function(e) {
        e.preventDefault();
        var term_id = jQuery(this).attr('data-term');
        var data_offset = jQuery(this).attr('data-offset');
        var total_count = jQuery(this).attr('data-count');
        //jQuery(this).before('<br><a href="#">Append</a>');
        $this = jQuery(this);
        jQuery.ajax({
            url: bitcx_object.ajax_url,
            type: 'POST',
            data: {
                action: 'bitcx_loadmore_posts',
                term: term_id,
                offset: data_offset,
                security: bitcx_object.nonce
            },
            beforeSend: function() {
                jQuery('.bitcx-loader').removeClass('hidden');
            },
            success: function(response) {
                jQuery('.bitcx-loader').addClass('hidden');
                $this.before(response);
                $this.remove();

                // Posts link color
                refresh_popup_posts_color();
            }
        });
    });

    // Container colors
    jQuery('.bitcx-container').each(function() {
        var bg_color = jQuery(this).attr('data-bg-color');
        var border_color = jQuery(this).attr('data-border-color');
        jQuery(this).css('background', bg_color);
        jQuery(this).css('border-color', border_color);
    });

    // options color
    refresh_popup_options_color();
    function refresh_popup_options_color(){
        jQuery('.bitcx-option').each(function() {
            const bg_color = jQuery(this).attr('bg-color');
            const border_color = jQuery(this).attr('border-color');
            const text_color = jQuery(this).attr('text-color');
            const h_bg_color = jQuery(this).attr('hover-bg-color');
            const h_text_color = jQuery(this).attr('hover-text-color');
    
            jQuery(this).css('background-color', bg_color);
            jQuery(this).css('border-color', border_color);
            jQuery(this).css('color', text_color);
    
            jQuery(this).hover(
                function() {
                    jQuery(this).css('background-color', h_bg_color);
                    jQuery(this).css('color', h_text_color);
                },
                function() {
                    jQuery(this).css('background-color', bg_color);
                    jQuery(this).css('color', text_color);
                }
            );
        });
    }
    
    function refresh_popup_posts_color(){
        var link_color = jQuery('.bitcx-post').attr('data-color');
        jQuery('.bitcx-post').css('color', link_color);
    }
});