<?php
$terms = get_terms(array(
    'taxonomy'   => 'category',
    'hide_empty' => true,
    'parent' => 0
));

$popup_btn_bg = get_option('chatpop_opt_bg_color');
$popup_btn_txt = get_option('chatpop_opt_txt_color');
$popup_btn_border = get_option('chatpop_opt_border_color');
$popup_bg_color = get_option('chatpop_bg_color');
$popup_border_color = get_option('chatpop_border_color');
$popup_btn_hover_bg = get_option('chatpop_opt_bg_hover_color');
$popup_btn_hover_txt = get_option('chatpop_opt_hover_txt_color');
$popup_icon = get_option('chatpop_icon');
?>
<section class="bitcx-popup">
    <a data-bg-color="<?php echo (!empty($popup_bg_color) ? esc_attr($popup_bg_color) : esc_attr('#fff') ); ?>" class="bitcx-show-popup" href="#"><img width="50" src="<?php echo esc_url(BITCX_HELPBOT_IMAGES_URL . esc_attr($popup_icon)); ?>" alt="" /></a>
    <div class="bitcx-container" data-bg-color="<?php echo (!empty($popup_bg_color) ? esc_attr($popup_bg_color) : esc_attr('#fff') ); ?>" data-border-color="<?php echo (!empty($popup_border_color) ? esc_attr($popup_border_color) : esc_attr('#000') ); ?>">
        <div class="bitcx-inner">
            <div class="bitcx-loader hidden">
                <div class="bitcx-dot"></div>
                <div class="bitcx-dot"></div>
                <div class="bitcx-dot"></div>
            </div>
            <a class="bitcx-close" href="#"><img width="15" src="<?php echo esc_url(BITCX_HELPBOT_IMAGES_URL . 'close.png'); ?>" alt="" /></a>
            <h3><?php echo esc_html('Hello. How can we help you today?'); ?></h3>
            <form action="" method="GET" class="bitcx-form" data-term="">
                <?php if (!empty($terms) && !is_wp_error($terms)) { ?>
                    <div class="bitcx-popup-options">
                    <?php foreach ($terms as $term) { ?>
                        <a bg-color="<?php echo (!empty($popup_btn_bg) ? esc_attr($popup_btn_bg) : esc_attr('#fff') ); ?>" border-color="<?php echo (!empty($popup_btn_border) ? esc_attr($popup_btn_border) : esc_attr('#000') ); ?>" text-color="<?php echo (!empty($popup_btn_txt) ? esc_attr($popup_btn_txt) : esc_attr('#fff') ); ?>" hover-bg-color="<?php echo (!empty($popup_btn_hover_bg) ? esc_attr($popup_btn_hover_bg) : esc_attr('#000') ); ?>" hover-text-color="<?php echo (!empty($popup_btn_hover_txt) ? esc_attr($popup_btn_hover_txt) : esc_attr('#000') ); ?>" data-type="parent" class="bitcx-option" href="#" data-id="<?php echo esc_html($term->term_id); ?>"><?php echo esc_html($term->name); ?></a>
                    <?php } ?>
                    </div>
                <?php } ?>
                <div class="bitcx-posts-options"></div>
            </form>
        </div>
    </div>
</section>